#!/usr/bin/env python
# wdfprot.py

import vmake.wdfprotLib

def wdfprot (options):
    main = vmake.wdfprotLib.MainProtocol (options.url)
    main.dump ('vmake_lc_main.html')

def main (options, args):
    wdfprot (options)

def _options ():
    return [
        # (optstring, varname, typechar, default, help)
        ('P', 'platform', ':', None, 'platform as part of directory name'),
        ('url', None, ':', r'\\hs0100\bas\MAKES\prot\SAP_DB\html_logfiles\vmake_lc_main.html', 'url of main protocol'),
        ]

if __name__ == '__main__':
    import optlib
    optlib.optMain2 (main, _options ())
